#!/usr/bin/perl 

# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

my $thisCGI="register.cgi";
require "utility.pl";
&ReadFormData;	
$op = $formData{'op'};
if ($op eq "register"){RegisterUser();}
else {ShowRegistrationForm();}

sub RegisterUser{

    $firstName     = $formData{'fname'};
    $lastName     = $formData{'lname'};
    $email     = $formData{'email'};
    $telephone = $formData{'telephone'};
    $zipcode   = $formData{'zipcode'};
    $imType    = $formData{'imtype'};
    $imIdentity = $formData{'imidentity'};
    $username  = $formData{'username'};
    $password1 = $formData{'password1'};
    $password2 = $formData{'password2'};


    # check for errors
    if ($firstName eq "") {$numError++; $firstName_error .= "$global_error_ind Please enter your first name";}
    if ($lastName eq "") {$numError++; $lastName_error .= "$global_error_ind Please enter your last name";}
#    if ($telephone eq "") {$numError++; $telephone_error .= "$global_error_ind Please enter an telephone number";}
    if ($zipcode eq "") {$numError++; $zipcode_error .= "$global_error_ind Please enter a zipcode";}
    if ($username eq "") {$numError++; $username_error .= "$global_error_ind Please enter a username";}
    if ($password1 eq ""){$numError++; $password1_error .= "$global_error_ind Please enter a password";}
    if ($password2 eq ""){$numError++; $password2_error .= "$global_error_ind Please enter a password";}

    if ($email !~ /\@/){$numError++; $email_error = "$global_error_ind Please enter a valid email address";}
    if ($email !~ /\./){$numError++; $email_error = "$global_error_ind Please enter a valid email address";}
    if ($email eq "") {$numError++; $email_error = "$global_error_ind Please enter an email address";}


    if (CheckUsernameExistance($username)){
	$numError++; 
	if ($username_error) {$username_error .= "<br>"};
	$username_error .= "$global_error_ind Username already used. Please select another.";}
    
    if ($password1 ne $password2 && $password1 ne "" && $password2 ne ""){ 
	$numError++; $password_error .= "$global_error_ind Password entered did not match";}
    
    if ($numError){
	ShowRegistrationForm($firstName,$lastName,$email,$telephone,$imType,$imIdentity,$zipcode,$username);
	exit;
    }


    # otherwise, this is good..
    $password = $password1;
    if (AddUser($username, $password, $firstName, $lastName, $email, $telephone, $imType, $imIdentity, $zipcode)){
	
	$subject = qq[$siteName Registration];
	$message = qq[Welcome $firstName $lastName!

You can now logon and list your books. To sell your books faster,
use the "Advertise" function to market your books. 
Try it. It helps. 

Username: $username

Best Regards,
$siteName
$default_homepage
];

	# send the welcome email to the user.
	SendMail($firstName, $email, $registerName, $registerEmail, $subject, $message);


	# log the user in
	ClearCookieData();
	LoginUser($username,$password,"$prop_userhomepage");
	exit;
    } else { print qq[Content-type: text/html\n\n
		      <pre>
		      Due to some unknown error, your registration was not successful. 
		      Please send an email to the webmaster about the problem.
		      ];}
    
}


sub ShowRegistrationForm{
    my($firstName,$lastName,$email,$telephone,$imType, $imIdentity,$zipcode,$username) = @_;
    
    Header("","$siteName: Registration","register");

    $imOptions = GetImOptions($imType);

print qq[
<br>
<table border=0 width=$bodyWidth cellpadding=2 cellspacing=2>
<tr $s_loc_bar_bgcolor>
<td colspan=2>$s_loc_bar_font_s &nbsp;
Registration
</td></tr>
<tr><td width=5>&nbsp;</td><td>
$f Registration allows you to
	 <li> increase your chances of selling your book
	 <li> add your books to the for sale list 
	 <li> create a "watch-bot", automatically searching for books you want
	 <li> automatically create emails/flyers to market your books!
</td></tr></table>

<form method=post action="$thisCGI">
<input type=hidden name=op value="register">

<table border=0 width=$bodyWidth cellpadding=2 cellspacing=2>
<tr><td colspan=4 $s_header_bgcolor>$s_header_font_s &nbsp; <b> Registration Form </b> $s_header_font_e </td></tr>
<tr>
  <td width=5>&nbsp;</td>
  <td width=150>$s_field_font_s First Name $s_field_font_e</td>
  <td width=250><input type=text name=fname value="$firstName" size=25></td>
  <td width=120>$ef$firstName_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Last Name</td>
  <td><input type=text name=lname value="$lastName" size=25></td>
  <td>$ef$lastName_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Email</td>
  <td><input type=text name=email value="$email" size=25></td>
  <td>$ef$email_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Telephone</td>
  <td><input type=text name=telephone value="$telephone" size=25> $s_example_font_s (optional)$fe </td>
  <td>$ef$telephone_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s IM Identity</td>
  <td><select name=imtype>$imOptions</select><input type=text name=imidentity value="$imIdentity" size=25> $s_example_font_s (optional)$fe </td>
  <td>$ef$telephone_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Zipcode</td>
  <td><input type=text name=zipcode value="$zipcode" size=8></td>
  <td>$ef$zipcode_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Username</td>
  <td><input type=text name=username value="$username" size=25></td>
  <td>$ef$username_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Password</td>
  <td><input type=password name=password1 size=25></td>
  <td>$ef$password1_error</td>
</tr>
<tr>
  <td width=5>&nbsp;</td>
  <td>$s_field_font_s Retype Password</td>
  <td><input type=password name=password2 size=25></td>
  <td>$ef$password2_error</td>
</tr>
<tr height=30>
  <td colspan=2>&nbsp;</td>
  <td ><input type=image src="$relImgDir/sign_up.gif" alt="Sign Up" border=0></td>
</tr>
</table>


</form>
</center>
];
    Footer();

}

